# Uses of Interface
org.eclipse.jdt.core.util.IComponentInfo

Packages that use IComponentInfo
Package
Description
org.eclipse.jdt.core.util
Provides a set of tools and utilities for manipulating .class files and Java model elements.

## Uses of IComponentInfo in org.eclipse.jdt.core.util

Methods in org.eclipse.jdt.core.util that return IComponentInfo
Modifier and Type
Method
Description
`IComponentInfo[]`
IRecordAttribute.`getComponentInfos()`
Answer back the array of record component infos as specified in the JVM specifications, or an empty array if none.